#!/usr/bin/env sh

mkdir build

GIT_COMMIT=$(git rev-list -1 HEAD)
export GIT_COMMIT
CANONICAL_VERSION=$(cat ./VERSION)-$(uname)
export CANONICAL_VERSION
VERSION_STRING="$CANONICAL_VERSION-$GIT_COMMIT"
export VERSION_STRING

buildpath="build/$(uname)/gostations"

/usr/local/go/bin/go mod vendor
/usr/local/go/bin/go mod tidy

/usr/local/go/bin/go build -o "$buildpath" -ldflags "-X main.version=$VERSION_STRING"

"$buildpath" -v

